Skip to content
Start here

Update a Web Analytics site

client.RUM.SiteInfo.Update(ctx, siteID, params) (*Site, error)
PUT/accounts/{account_id}/rum/site_info/{site_id}

Updates an existing Web Analytics site.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Account Settings Write
ParametersExpand Collapse
siteID string

Identifier.

maxLength32
params SiteInfoUpdateParams
AccountID param.Field[string]

Path param: Identifier.

maxLength32
AutoInstall param.Field[bool]optional

Body param: If enabled, the JavaScript snippet is automatically injected for orange-clouded sites.

Enabled param.Field[bool]optional

Body param: Enables or disables RUM. This option can be used only when auto_install is set to true.

Host param.Field[string]optional

Body param: The hostname to use for gray-clouded sites.

Lite param.Field[bool]optional

Body param: If enabled, the JavaScript snippet will not be injected for visitors from the EU.

ZoneTag param.Field[string]optional

Body param: The zone identifier.

ReturnsExpand Collapse
type Site struct{…}
AutoInstall booloptional

If enabled, the JavaScript snippet is automatically injected for orange-clouded sites.

Created Timeoptional
formatdate-time
Rules []RUMRuleoptional

A list of rules.

ID stringoptional

The Web Analytics rule identifier.

Created Timeoptional
formatdate-time
Host stringoptional

The hostname the rule will be applied to.

Inclusive booloptional

Whether the rule includes or excludes traffic from being measured.

IsPaused booloptional

Whether the rule is paused or not.

Paths []stringoptional

The paths the rule will be applied to.

Priority float64optional
Ruleset SiteRulesetoptional
ID stringoptional

The Web Analytics ruleset identifier.

Enabled booloptional

Whether the ruleset is enabled.

ZoneName stringoptional
ZoneTag stringoptional

The zone identifier.

SiteTag stringoptional

The Web Analytics site identifier.

SiteToken stringoptional

The Web Analytics site token.

Snippet stringoptional

Encoded JavaScript snippet.

Update a Web Analytics site

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/rum"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  site, err := client.RUM.SiteInfo.Update(
    context.TODO(),
    "023e105f4ecef8ad9ca31a8372d0c353",
    rum.SiteInfoUpdateParams{
      AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", site.AutoInstall)
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "auto_install": true,
    "created": "2014-01-01T05:20:00.12345Z",
    "rules": [
      {
        "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
        "created": "2014-01-01T05:20:00.12345Z",
        "host": "example.com",
        "inclusive": true,
        "is_paused": false,
        "paths": [
          "*"
        ],
        "priority": 1000
      }
    ],
    "ruleset": {
      "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
      "enabled": true,
      "zone_name": "example.com",
      "zone_tag": "023e105f4ecef8ad9ca31a8372d0c353"
    },
    "site_tag": "023e105f4ecef8ad9ca31a8372d0c353",
    "site_token": "023e105f4ecef8ad9ca31a8372d0c353",
    "snippet": "<!-- Cloudflare Web Analytics --><script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{\"token\": \"bc40a2d1b5834453aba85c1b9a3054da\"}'></script><!-- End Cloudflare Web Analytics -->"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "auto_install": true,
    "created": "2014-01-01T05:20:00.12345Z",
    "rules": [
      {
        "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
        "created": "2014-01-01T05:20:00.12345Z",
        "host": "example.com",
        "inclusive": true,
        "is_paused": false,
        "paths": [
          "*"
        ],
        "priority": 1000
      }
    ],
    "ruleset": {
      "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
      "enabled": true,
      "zone_name": "example.com",
      "zone_tag": "023e105f4ecef8ad9ca31a8372d0c353"
    },
    "site_tag": "023e105f4ecef8ad9ca31a8372d0c353",
    "site_token": "023e105f4ecef8ad9ca31a8372d0c353",
    "snippet": "<!-- Cloudflare Web Analytics --><script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{\"token\": \"bc40a2d1b5834453aba85c1b9a3054da\"}'></script><!-- End Cloudflare Web Analytics -->"
  }
}